Robotics Service Bus - Tasks #942
Create generic send tool
03/13/2012 01:14 AM - J. Moringen

Status: Resolved Start date: 03/13/2012
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: rsb-0.7

Description

It would be useful to have a tool, maybe called send, to create and send simple RSB events.
- The tool should support simple payloads (like the call tool already does) O
- The tool should support XML payloads (later, see #1002)
- The tool should support protocol buffer payloads (later)
Maybe via JSON input syntax?
Other stuff
- Test (later)

Associated revisions

Revision 1ee6eed5 - 03/13/2012 04:37 AM - J. Moringen
Added send tool in send/{package, main}*.lisp
refs #942

- send/main.lisp: new file; contains main function of the send

utility

send/package.lisp: new file; contains package definition for the
send utility

- cl-rsb-tools-send.asd: new file; system definition for send
utility

- main/main.lisp (filename->entry-point): added entry for send
program

- cl-rsb-tools-main.asd (system cl-rsb-tools-main): added system
dependency on cl-rsb-tools-send

- CMakelists.txt: added send program to TOOLS

Revision e4f7df2c - 03/13/2012 01:44 PM - J. Moringen
Added man-page for send tool in manual/send.rst
refs #942
- manual/conf.py.in: added man-page for send program
- manual/send.rst: new file; man-page for send program

- manual/tools.rst: include manual/send.rst

History

#1 - 03/13/2012 04:38 AM - J. Moringen
- Description updated

- Status changed from New to In Progress
- % Done changed from 0 to 40

#2 - 06/18/2012 01:46 PM - J. Moringen

- Description updated
- Status changed from In Progress to Resolved
- % Done changed from 40 to 100
